GMOD_CHADO_PROPERTIES(1p)

NAME
$0 - reads or modifies the chadoprop table

SYNOPSIS
  % gmod_chado_properties.pl [options]

COMMAND-LINE OPTIONS
 --version        Without an argument, returns the schema version
 --force          Provided with the version option to update the schema version
 --property       Get the value of a specific property ("all" to get all)
 --dbprofile      Specify a gmod.conf profile name (otherwise use default)

DESCRIPTION
The main use of this script is to get or set the schema version for use during schema updates. It can also get any named property (based on the cvterm in the chadoprop table), or a list of all properties in the chadoprop table.

In older (pre-1.2) versions of Chado, updating the schema version has the side effect of creating the chadoprop table and a chado_properties cv.

AUTHOR
Scott Cain <scain@cpan.org>

Copyright (c) 2011

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.